Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content
Class ContentEJBHomeCache

    java.lang.Object
      com.bea.content.ContentEJBHomeCache

    public class ContentEJBHomeCache

extends Object

This class caches the initial context and the EJB Home so lookups for EJBs are faster. It's a standard J2EE design pattern for performance improvement, BUT it should only be used within specific components, since our EJBs are application-scoped, and we don't prevent multiple applications with the same name existing in a domain. It should still have static methods and a static collection to hold the EJBHome instances, so the calling components don't recreate this class each time. A Home class may exist more than once in the Map, since different components may reference it depending on the full JNDI name or by ejb-ref.

Constructor Summary
`ContentEJBHomeCache()`

Method Summary
`static Object` | `lookup(String jndiName, Class homeInterfaceClass)` Return an instance of the EJB(Local)Home for the jndi name and class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContentEJBHomeCache

    public ContentEJBHomeCache()

Method Detail

### lookup

    public static Object lookup(String jndiName,
                                Class homeInterfaceClass)
                         throws NamingException

  Return an instance of the EJB(Local)Home for the jndi name and class. Creates and stores this instance if it's not already cached.

  Throws
    `NamingException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved